# module WebConsole

Prevent a `method redefined; discarding old ::caller_bindings` warning.

### Constants

DoubleRenderError

  Raised when there is an attempt to render a console more than once.

Error

  The base class for every Web Console related error.

VERSION

### Public Class Methods

caller_bindings() click to toggle source

Returns the Ruby bindings of Kernel#callers locations.

The list of bindings here doesn't map 1 to 1 with Kernel#callers, as we can't build Ruby bindings for C functions or the equivalent native implementations in JRuby and Rubinius.

This method needs to be overridden by every integration.

    # File lib/web_console/integration.rb, line 29
    def self.caller_bindings
      raise NotImplementedError
    end